please drop python-gnupginterface

Bug #1076960 reported by Dimitri John Ledkov on 2012-11-09
10
This bug affects 1 person
Affects Status Importance Assigned to Milestone
mandos (Ubuntu)
Undecided
Unassigned

Bug Description

Please stop using python-gnupginterface and instead use subprocess to call gnupg directly.

python-gnupginterface is unmaintained and not-supported. In Ubuntu we would like to drop it out of the archive. Mandos is the last unported package that depends on python-gnupginterface. Instead depends on gnupg & call it via subprocess module in python. This will also help you porting to python3 in the future.

Barry Warsaw (barry) wrote :

Note also that if you'd rather use a package, and don't mind a different API, python-gnupg is an option. It has a python3-gnupg version too.

Fixed in version 1.6.1.

Version 1.6.4 (which includes a fix for this bug) is now in Debian. A sync request (including a freeze exception request) is filed as bug #1285914.

Changed in mandos (Ubuntu):
status: New → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers